> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Oracle shadow table script

> Generates the SQL script to create shadow tables required for Oracle change data capture (CDC). Run this script on your Oracle source before starting replication.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/{uuid}/generate-shadow-script
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}/generate-shadow-script:
    post:
      tags:
        - Connectors
      summary: Generate Oracle shadow table script
      description: >-
        Generates the SQL script to create shadow tables required for Oracle
        change data capture (CDC). Run this script on your Oracle source before
        starting replication.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterConnectorGenerateShadowScriptRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RouterConnectorGenerateShadowScriptResponse
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterConnectorGenerateShadowScriptRequest:
      properties:
        database:
          type: string
        tables:
          items:
            $ref: '#/components/schemas/RouterConnectorShadowScriptTable'
          type: array
      required:
        - database
        - tables
      type: object
    RouterConnectorGenerateShadowScriptResponse:
      properties:
        script:
          type: string
      required:
        - script
      type: object
    RouterConnectorShadowScriptTable:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/PayloadsSeenTableColumn'
          type: array
        name:
          type: string
        schema:
          type: string
      required:
        - schema
        - name
        - columns
      type: object
    PayloadsSeenTableColumn:
      properties:
        metadata:
          $ref: '#/components/schemas/PayloadsSeenTableColumnMetadata'
        name:
          type: string
      required:
        - name
        - metadata
      type: object
    PayloadsSeenTableColumnMetadata:
      properties:
        dataType:
          type: string
        defaultValue:
          nullable: true
          type: string
        isPrimaryKey:
          nullable: true
          type: boolean
        notNull:
          type: boolean
      required:
        - dataType
        - notNull
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````